rec {
  restic = let
    OnStartupSec = "5m";
  in {
    low = {
      inherit OnStartupSec;
      OnUnitActiveSec = "12h";
    };
    medium = {
      inherit OnStartupSec;
      OnUnitActiveSec = "8h";
    };
    high = {
      inherit OnStartupSec;
      OnUnitActiveSec = "2h";
    };
  };

  music = {
    OnStartupSec = "2m";
    OnUnitActiveSec = "2h";
  };

  remoteBackups = {
    OnStartupSec = "30m"; # Should give enough time for all to sync current data
    OnUnitActiveSec = "1h20m"; # Should give enough time to make small incremental syncs
  };
}
