{tree, ...}: {
  imports = with tree; [
    users.root
    users.chaos
    profiles.sshd

    presets.nixos.wslBase

    profiles.cross.arm64
    profiles.remoteBuilders
  ];

  home-manager.users.root = {
    home.stateVersion = "23.05";
  };

  home-manager.users.chaos = {
    home.stateVersion = "23.05";
  };

  networking.hostName = "wsl";
  time.timeZone = "Europe/London";

  system.stateVersion = "23.05";
}
