{pkgs, ...}: {
  home.packages = with pkgs; [alejandra deadnix statix];

  programs.vscode-mod.extensions = with pkgs; [
    vscode-extensions.bbenoist.nix
    vscode-extensions.kamadorueda.alejandra
  ];

  programs.vscode-mod.userSettings."[nix]" = {
    "editor.defaultFormatter" = "kamadorueda.alejandra";
    "editor.formatOnSave" = true;
  };
  programs.vscode-mod.userSettings = {
    "alejandra.program" = "alejandra";
  };
}
