{tree, ...}: {
  imports = with tree; [
    profiles.wifiHardware

    profiles.sound.base
    profiles.sound.pipewire
    profiles.gui.base

    profiles.firewallAllow.aria2c
    profiles.firewallAllow.soulseek
    profiles.mullvad
  ];

  boot.plymouth.enable = true;

  home-manager.users.chaos = {
    imports = with tree; [
      home.gui.base

      home.apps.fileRoller
      home.apps.nautilus
      home.apps.pavucontrol
      home.apps.mpv

      home.apps.firefox
      home.apps.telegram
      home.apps.thunderbird
      home.apps.quassel
      home.apps.session
      home.apps.toot-cli

      home.apps.obsidian
      home.apps.libreoffice

      home.apps.strawberry
      home.apps.nicotine-plus
      home.apps.musicutil

      home.apps.mullvad
      home.apps.aria2
      home.apps.rclone
      home.apps.restic
    ];
  };
}
